# coding: utf-8

from celery import Celery, signals


app = Celery('procu')

app.config_from_object('django.conf:settings', namespace='CELERY')

app.autodiscover_tasks(['api', 'api.spark'])
app.autodiscover_tasks()


@signals.setup_logging.connect
def setup_logging(**kwargs):
    """
    The handler suppresses Celery logging settings
    """
    pass
